{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Datum/Uhrzeit',
        'columnId': 'datum',
        'ariaLabelId': 'date',
        'ariaLabelName': 'Date'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Portalname',
        'columnId': 'portalname',
        'ariaLabelId': 'portal-name',
        'ariaLabelName': 'Portal Name'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Aktion',
        'columnId': 'aktion',
        'ariaLabelId': 'action',
        'ariaLabelName': 'Action'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': false,
        'label': 'Status'
    } only %}
{% endblock %}

{% block tableContent %}
    <td class="mdc-data-table__cell">{{ listItem.getTransferredAt().format('d.m.Y H:i') }} Uhr</td>
    <td class="mdc-data-table__cell">{{ listItem.getOpenImmoFtpCredential().getPortalName() }}</td>
    <td class="mdc-data-table__cell">
        {% if listItem.getExportActionType().name == 'DELETE' %}
            <i class="material-icons mdc-button__icon fs-6 text-danger">delete</i>
            Objekt aus Portal löschen
        {% else %}
            <i class="material-icons mdc-button__icon fs-6 text-success">ios_share</i>
            Objekt an Portal übertragen
        {% endif %}
    </td>
    <td class="mdc-data-table__cell">
        <span class="{% if listItem.getOpenImmoTransferStatus().name == 'FAILED' %}text-danger{% else %}text-success{% endif %}">
            {{ listItem.getOpenImmoTransferStatus().getName() }}
        </span>
    </td>
{% endblock %}
